Subject: Re: [DNSOP] New Version Notification for draft-gersch-dnsop-revdns-cidr-00.txt

From: Ray Bellis <[email-masked]>
Date: Fri, 1 Jun 2012 07:52:16 +0000

On 31 May 2012, at 22:51, Joseph Gersch wrote:

> Ray and Ondrej, 
>   Dan Massey and I have been busy putting together a presentation for NANOG which is in Vancouver next week.  We plan on having many discussions with operators and designers there.  After we get enough feedback, we will get back to you.  I know this is later than you wanted, but we want to get good discussion first. 

Joe,

Firstly thanks for getting back to me.

I think there is still a serious design flaw which in practise will make the scheme unusable for your BGP work.

You explicitly call out the need for the CIDR hierarchy and DNS hierarchy to align ("Coverage Authority") in §3 and §4.2 of your draft and claim that your scheme provides this, but it's easy to construct examples where that's not true.

Hence my concern is that the DNS scheme you have proposed _simply doesn't work_.

IMHO, it would be premature to enter into detailed discussion with the operational community until this hierarchy problem is resolved.

kind regards,

Ray